--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Checks that the specification contains all required fields, and does a very basic sanity check.
- !ruby/struct:SM::Flow::P 
  body: Raises InvalidSpecificationException if the spec does not pass the checks..
full_name: Gem#validate
is_singleton: false
name: validate
params: ()
visibility: public
